Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class JDBCTypeFactory

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.JDBCTypeFactory

public final class JDBCTypeFactory
extends Object

JDBCTypeFactory mapps Java Classes to JDBCType objects. The main job of this class is to flatten the JDBCValueClassMetaData into columns.

Version:
  $Revision: 1.25 $
Author:
  Dain Sundstrom, Alexey Loubyansky

Field Summary
`static CMPFieldStateFactory` | `EQUALS` This implementation uses field's value as its state.

Constructor Summary
`JDBCTypeFactory(JDBCTypeMappingMetaData typeMapping, Collection valueClasses, Map userTypeMappings)`

Method Summary
`static boolean` | `checkDirtyAfterGet(JDBCTypeFactory factory, byte checkDirtyAfterGet, Class fieldType)`
`static CMPFieldStateFactory` | `getCMPFieldStateFactory(JDBCTypeFactory factory, String implClassName, Class clazz)`
`JDBCType` | `getJDBCType(Class javaType)`
`JDBCType` | `getJDBCType(JDBCCMPFieldMetaData cmpField)`
`int` | `getJDBCTypeForJavaType(Class clazz)`
`JDBCTypeMappingMetaData` | `getTypeMapping()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EQUALS

    public static final CMPFieldStateFactory EQUALS

  This implementation uses field's value as its state.

Constructor Detail

### JDBCTypeFactory

    public JDBCTypeFactory(JDBCTypeMappingMetaData typeMapping,
                           Collection valueClasses,
                           Map userTypeMappings)
                    throws org.jboss.deployment.DeploymentException

Method Detail

### getCMPFieldStateFactory

    public static final CMPFieldStateFactory getCMPFieldStateFactory(JDBCTypeFactory factory,
                                                                     String implClassName,
                                                                     Class clazz)
                                                              throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### checkDirtyAfterGet

    public static final boolean checkDirtyAfterGet(JDBCTypeFactory factory,
                                                   byte checkDirtyAfterGet,
                                                   Class fieldType)

### getJDBCType

    public JDBCType getJDBCType(Class javaType)

### getJDBCType

    public JDBCType getJDBCType(JDBCCMPFieldMetaData cmpField)
                         throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### getJDBCTypeForJavaType

    public int getJDBCTypeForJavaType(Class clazz)

### getTypeMapping

    public JDBCTypeMappingMetaData getTypeMapping()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.